com.threerings.whirled.spot.client

## Class SpotSceneController

- java.lang.Object
- - com.samskivert.swing.Controller
  - - com.threerings.crowd.client.PlaceController
    - - com.threerings.whirled.client.SceneController
      - - com.threerings.whirled.spot.client.SpotSceneController

All Implemented Interfaces:
  ActionListener, EventListener

Direct Known Subclasses:
  StageSceneController

    public abstract class SpotSceneController
    extends SceneController

The base spot scene controller class. It is expected that users of the Whirled Spot services will extend this controller class when creating specialized controllers for their scenes. Presently there are no basic scene services provided by this controller, but its existence affords the addition of such services should they become necessary in the future.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.client.PlaceController

`com.threerings.crowd.client.PlaceController.DelegateOp`

### Field Summary

### Fields inherited from class com.samskivert.swing.Controller

`DISPATCHER`

### Constructor Summary

Constructors
Constructor and Description
`SpotSceneController()`

### Method Summary

### Methods inherited from class com.threerings.whirled.client.SceneController

`didLeavePlace, init, willEnterPlace`

### Methods inherited from class com.threerings.crowd.client.PlaceController

`getPlaceConfig, getPlaceView, handleAction, mayLeavePlace`

### Methods inherited from class com.samskivert.swing.Controller

`actionPerformed, configureAction, createActionButton, handleAction, handleAction, handleAction, postAction, postAction, postAction, setControlledPanel, wasAdded, wasRemoved`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpotSceneController

    public SpotSceneController()